---
firewalldconfigset:
  default:
    firewalld_zone_interface:
      trusted: "{{ firewalld_zone_interface_trusted }}"
      public: "{{ firewalld_zone_interface_public }}"
    firewalld_service_rules:
      ssh:
        state: enabled
        zone: public
        permanent: true
        immediate: true
    firewalld_zone_source:
      trusted:
        zone: trusted
        source: "{{ firewalld_zone_trusted_sources }}"
        state: enabled
        permanent: true
        #immediate: true
  k8s_default:
    firewalld_port_rules:
      overlay:
        port: 8472
        protocol: udp
        state: enabled
        zone: trusted
        permanent: true
        immediate: true
      nodeportstcp:
        port: 30000-32767
        protocol: tcp
        state: enabled
        zone: trusted
        permanent: true
        immediate: true
      nodeportsudp:
        port: 30000-32767
        protocol: udp
        state: enabled
        zone: trusted
        permanent: true
        immediate: true
      controllplane:
        port: 10250
        protocol: tcp
        state: enabled
        zone: trusted #local
        permanent: true
        immediate: true
      flannelprobes:
        port: 9099
        protocol: tcp
        state: enabled
        zone: trusted #local
        permanent: true
        immediate: true
      ingressprobes:
        port: 10254
        protocol: tcp
        state: enabled
        zone: trusted #local
        permanent: true
        immediate: true
    firewalld_service_rules:
      https:
        state: enabled
        zone: public
        permanent: true
        immediate: true
  k8s_worker:
    firewalld_port_rules:
      apiserver:
        port: 6443
        protocol: tcp
        state: enabled
        zone: trusted
        permanent: true
        immediate: true
  k8s_master:
    firewalld_port_rules:
      apiserver:
        port: 6443
        protocol: tcp
        state: enabled
        zone: public
        permanent: true
        immediate: true
